CorebanqCorebanq Developer Docs
Transactionsv1

Create inward transaction

Process an inward transfer from external source

POST
/v1/transactions/iwt

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/transactions/iwt" \  -H "Content-Type: application/json" \  -d '{    "sender": {      "name": "string",      "iban": "string"    },    "recipient": {      "name": "string",      "iban": "string"    },    "amount": 0.01,    "currency": "string",    "channel": "string"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "sender": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string",
    "iban": "string",
    "avatar": "string",
    "type": "account",
    "customer": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "email": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "modified_at": "2019-08-24T14:15:22Z"
    },
    "account": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "iban": "string",
      "currency": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "modified_at": "2019-08-24T14:15:22Z"
    },
    "recipient": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "iban": "string",
      "bic": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "modified_at": "2019-08-24T14:15:22Z"
    },
    "sender": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e",
      "iban": "string"
    },
    "amount": {
      "currency": "string",
      "amount": 0
    },
    "fee": {
      "currency": "string",
      "amount": 0
    },
    "tariff_id": "d82b8db6-f412-4b9c-8c5e-6a0221035c86",
    "fx_tariff_id": "f12d958c-c80c-4752-862c-9e0c09506488",
    "created_at": "2019-08-24T14:15:22Z",
    "modified_at": "2019-08-24T14:15:22Z"
  },
  "recipient": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string",
    "iban": "string",
    "avatar": "string",
    "type": "account",
    "customer": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "email": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "modified_at": "2019-08-24T14:15:22Z"
    },
    "account": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "iban": "string",
      "currency": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "modified_at": "2019-08-24T14:15:22Z"
    },
    "recipient": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "iban": "string",
      "bic": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "modified_at": "2019-08-24T14:15:22Z"
    },
    "sender": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e",
      "iban": "string"
    },
    "amount": {
      "currency": "string",
      "amount": 0
    },
    "fee": {
      "currency": "string",
      "amount": 0
    },
    "tariff_id": "d82b8db6-f412-4b9c-8c5e-6a0221035c86",
    "fx_tariff_id": "f12d958c-c80c-4752-862c-9e0c09506488",
    "created_at": "2019-08-24T14:15:22Z",
    "modified_at": "2019-08-24T14:15:22Z"
  },
  "original_amount": {
    "currency": "string",
    "amount": 0
  },
  "description": "string",
  "scheduled_date": "string",
  "status": "incomplete",
  "channel": "string",
  "task_id": "736fde4d-9029-4915-8189-01353d6982cb",
  "task": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "title": "string",
    "description": "string",
    "status": "string",
    "assignees": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "email": "string"
      }
    ],
    "created_at": "2019-08-24T14:15:22Z",
    "modified_at": "2019-08-24T14:15:22Z"
  },
  "transfers": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "transaction_id": "0fec1e58-b197-4052-99cf-2218496c5482",
      "account_id": "449e7a5c-69d3-4b8a-aaaf-5c9b713ebc65",
      "amount": {
        "currency": "string",
        "amount": 0
      },
      "type": "debit",
      "direction": "incoming",
      "created_at": "2019-08-24T14:15:22Z",
      "modified_at": "2019-08-24T14:15:22Z"
    }
  ],
  "tax": 0,
  "type": "iwt",
  "comply_advantage_meta": {
    "sender_transaction": {
      "datetime": "2019-08-24T14:15:22Z",
      "label": "string",
      "status": "string",
      "customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e",
      "created_at": "2019-08-24T14:15:22Z",
      "transaction_id": "0fec1e58-b197-4052-99cf-2218496c5482"
    },
    "recipient_transaction": {
      "datetime": "2019-08-24T14:15:22Z",
      "label": "string",
      "status": "string",
      "customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e",
      "created_at": "2019-08-24T14:15:22Z",
      "transaction_id": "0fec1e58-b197-4052-99cf-2218496c5482"
    }
  },
  "direction": "incoming",
  "value_date": "2019-08-24T14:15:22Z",
  "upload_id": "f2ef591b-135b-46fa-a604-3d4fda5bfbfb",
  "customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e",
  "created_at": "2019-08-24T14:15:22Z",
  "modified_at": "2019-08-24T14:15:22Z"
}
{
  "status": 400,
  "code": "common.invalid_input",
  "message": "Invalid transaction data"
}